Subject: Default ntp service configuration not working on IPv6 network

From: Guillaume Le Vaillant <[email-masked]>
Date: Mon, 10 Jun 2024 08:30:32 +0000

On an IPv6-only network, the default configuration for ntp-service-type
doesn't work, because the default pool used (<0.guix.pool.ntp.org>)
doesn't have IPv6 addresses.

In fact, the <1.guix.pool.ntp.org> and <3.guix.pool.ntp.org> pools don't
have IPv6 addresses either. Only the <2.guix.pool.ntp.org> pool works
with IPv6.

Would it be possible to add IPv6 support to pools 0, 1 and 3?